View Issue Details

IDProjectCategoryView StatusLast Update
12360Bug reports[All Projects] Survey takingpublic2017-07-21 17:08
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.0 
Target Version3.0Fixed in Version3.0 
Summary12360: Big difference in HTML produced with previous develop version
DescriptionCurrently , must track all settings/ conditions but there are some major difference between an old develop after answers_html work an new develop .

Some example :
1. home page https://testing.sondages.pro/answershtml VS https://testing.sondages.pro/develop
2. multi numéric : https://testing.sondages.pro/answershtml/index.php/65265 VS https://testing.sondages.pro/develop/index.php/65265

Maybe other
Steps To ReproduceI git checkout to https://github.com/LimeSurvey/LimeSurvey/commit/99bdf08b23081d833b7dc497b3bb0ca9361ccf0c

Maybe not the best one :/ but i think we must find when it happens to really fix it. Because ay11 issue can be hidden for example or js issue etc ....
Additional Informationhttps://testing.sondages.pro/answershtml and https://testing.sondages.pro/develop have same DB
TagsNo tags attached.
Complete LimeSurvey version number (& build)20170428
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Operating System (Server)not relevant
Webserver software & versionnot relevant
PHP Versionnot relevant

Relationships

related to 12353 closedLouisGac Sample survey - some EM not executed 

Activities

DenisChenu

DenisChenu

2017-05-02 10:57

developer   ~43512

Find THE commit (hope there are only one ;) )
DenisChenu

DenisChenu

2017-05-02 16:03

developer   ~43523

Last edited: 2017-05-02 16:06

View 2 revisions

https://github.com/LimeSurvey/LimeSurvey/commit/0835d09392b4e22de09e943598de4c5baaa6c3cf : KO

https://github.com/LimeSurvey/LimeSurvey/commit/07cbcc11330d8a5c5a01291d903f61cb4d36046a : OK

@ollehar : qanda update uri of views file .....

Unsure about EM, maybe related too ....

----

Awfull to test .... have a lot of other errors ....

DenisChenu

DenisChenu

2017-05-04 09:14

developer   ~43562

Ah ... close my browser ... Seems to be a qanda issue (replacing by an old one fix the issue) : i look at merge, and replace the goodes one.

Here, seems to be the lack of $sLabelWidth
- last develop :https://github.com/LimeSurvey/LimeSurvey/blob/develop/application/helpers/qanda_helper.php#L3184
- january develop : https://github.com/LimeSurvey/LimeSurvey/blob/a572175ce88d5ffcc48d9edb0d281b8b065c488c/application/helpers/qanda_helper.php#L3225

But there are a lot of other var removed : $coreClass for example https://github.com/LimeSurvey/LimeSurvey/commit/6123e2b0bf3672c5f21c72744f6d559c812db7b6#diff-0a1c35bae6575d450a01cc428fdc5c18L1517

Maybe replace all files by the last OK and reapply the XSS fix manually ?
DenisChenu

DenisChenu

2017-05-04 09:15

developer   ~43563

Yep : just the previous commit fix the issue : this merge.
DenisChenu

DenisChenu

2017-05-04 09:16

developer   ~43564

The qanda on this commit is OK : https://github.com/LimeSurvey/LimeSurvey/commit/5b619f2218d04b0409e900d18554fcc5bf214142

And for select_show_hide : this must be in data or only in js, no need inline js here
LouisGac

LouisGac

2017-05-04 10:33

developer   ~43565

thank you for that investigation on the commits, Denis.
Now it will be easy to fix.
DenisChenu

DenisChenu

2017-05-04 11:11

developer   ~43566

I can fix it if you want , apply the XSS commit seems easy (but maybe we must fix it differently here : only in views )
DenisChenu

DenisChenu

2017-05-09 17:10

developer   ~43580

See https://github.com/LimeSurvey/LimeSurvey/pull/683#issuecomment-295442090 about the xss issue's
And https://github.com/LimeSurvey/LimeSurvey/pull/683#issuecomment-295649653 about develop solution.

Question : did we fix it in view or in qanda.
DenisChenu

DenisChenu

2017-05-16 14:41

developer   ~43615

Confirm in 1f49536
DenisChenu

DenisChenu

2017-05-18 16:25

developer   ~43660

Done : https://github.com/LimeSurvey/LimeSurvey/pull/700
ShnoulleT

ShnoulleT

2017-05-23 16:54

reporter   ~43706

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=22857
c_schmitz

c_schmitz

2017-07-21 17:08

administrator   ~44143

Version 3.0.0-beta.1 released

Related Changesets

LimeSurvey: develop d365c6ba

2017-05-23 16:54:32

ShnoulleT


Committer: GitHub Details Diff
Dev: Fixed issue 12360: Big difference in HTML produced with previous develop version

Dev: Fixed issue #12270: XSS Vulnerability (new way)
Dev: must allow \CHtml::encode in internal
mod - application/config/internal.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/answer/5pointchoice/answer.php Diff File
mod - application/views/survey/questions/answer/arrays/10point/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/arrays/5point/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/arrays/array/dropdown/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/arrays/array/no_dropdown/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/arrays/column/answer.php Diff File
mod - application/views/survey/questions/answer/arrays/dualscale/answer.php Diff File
mod - application/views/survey/questions/answer/arrays/dualscale/answer_dropdown.php Diff File
mod - application/views/survey/questions/answer/arrays/increasesamedecrease/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/arrays/multiflexi/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/arrays/multiflexi/rows/cells/answer_td.php Diff File
mod - application/views/survey/questions/answer/arrays/multiflexi/rows/cells/answer_td_checkboxes.php Diff File
mod - application/views/survey/questions/answer/arrays/texts/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/arrays/texts/rows/cells/answer_td.php Diff File
mod - application/views/survey/questions/answer/arrays/yesnouncertain/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/gender/buttons/answer.php Diff File
mod - application/views/survey/questions/answer/gender/radio/answer.php Diff File
mod - application/views/survey/questions/answer/list_dropdown/answer.php Diff File
mod - application/views/survey/questions/answer/list_dropdown/rows/othertext.php Diff File
mod - application/views/survey/questions/answer/list_with_comment/list/answer.php Diff File
mod - application/views/survey/questions/answer/listradio/answer.php Diff File
mod - application/views/survey/questions/answer/multiplechoice/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice_with_comments/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/input/answer_row.php Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/sliders/answer_row.php Diff File
mod - application/views/survey/questions/answer/numerical/answer.php Diff File
mod - application/views/survey/questions/answer/yesno/buttons/item.php Diff File
mod - application/views/survey/questions/answer/yesno/radio/item.php Diff File

Issue History

Date Modified Username Field Change
2017-04-28 17:35 DenisChenu New Issue
2017-04-28 17:35 DenisChenu Status new => assigned
2017-04-28 17:35 DenisChenu Assigned To => LouisGac
2017-05-02 10:57 DenisChenu Assigned To LouisGac => DenisChenu
2017-05-02 10:57 DenisChenu Status assigned => feedback
2017-05-02 10:57 DenisChenu Note Added: 43512
2017-05-02 16:03 DenisChenu Note Added: 43523
2017-05-02 16:06 DenisChenu Note Edited: 43523 View Revisions
2017-05-02 16:33 DenisChenu Relationship added related to 12353
2017-05-04 08:59 DenisChenu Assigned To DenisChenu => LouisGac
2017-05-04 09:14 DenisChenu Note Added: 43562
2017-05-04 09:14 DenisChenu Status feedback => assigned
2017-05-04 09:15 DenisChenu Note Added: 43563
2017-05-04 09:16 DenisChenu Note Added: 43564
2017-05-04 10:33 LouisGac Note Added: 43565
2017-05-04 11:11 DenisChenu Note Added: 43566
2017-05-09 17:10 DenisChenu Note Added: 43580
2017-05-16 14:41 DenisChenu Note Added: 43615
2017-05-16 14:48 DenisChenu Severity minor => block
2017-05-16 14:51 DenisChenu Severity block => major
2017-05-17 12:02 DenisChenu Assigned To LouisGac => DenisChenu
2017-05-18 16:25 DenisChenu Note Added: 43660
2017-05-23 16:54 ShnoulleT Changeset attached => LimeSurvey develop d365c6ba
2017-05-23 16:54 ShnoulleT Note Added: 43706
2017-05-23 16:54 ShnoulleT Assigned To DenisChenu => ShnoulleT
2017-05-23 16:54 ShnoulleT Resolution open => fixed
2017-05-23 16:55 DenisChenu Assigned To ShnoulleT => DenisChenu
2017-05-23 16:55 DenisChenu Status assigned => resolved
2017-05-23 16:55 DenisChenu Fixed in Version => 3.0
2017-07-21 17:08 c_schmitz Note Added: 44143
2017-07-21 17:08 c_schmitz Status resolved => closed